routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/',[\App\Http\Controllers\CategoryController::class, 'index'])->name('house');

Route::resource('category', \App\Http\Controllers\CategoryController::class)->only('index', 'show');
Route::resource('paper', \App\Http\Controllers\PaperController::class);
Route::post('paper.{paper}', [\App\Http\Controllers\PaperController::class, 'rating'])->name('rating-paper');
Route::resource('comment', \App\Http\Controllers\CommentController::class);
Route::resource('account', \App\Http\Controllers\AccountController::class)->only('show');
Route::resource('papers.comments', \App\Http\Controllers\PapersCommentsController::class)->only('store');


Auth::routes();
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;
    protected $fillable = ['name'];

    public function papers()
    {
        return $this->hasMany(Paper::class);
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Paper;
use Carbon\Carbon;

class CategoryController extends Controller
{
    public function index()
    {
        if(auth()->user()){
            auth()->user()->is_admin?
            $newspapers = Paper::orderBy('created_at', 'desc')->paginate(8):
            $newspapers = Paper::where('publish_date','<',Carbon::now())->paginate(8);
        }else{
            $newspapers = Paper::where('publish_date','<',Carbon::now())->paginate(8);
        }

        $categories = Category::all();
        return view('client.categories.index', compact('newspapers', 'categories'));
    }

    public function show(Category $category)
    {
        $newspapers = Category::find($category->id)->papers->where('publish_date','<',Carbon::now());
        $categories = Category::all();
        return view('client.categories.show', compact('newspapers', 'categories'));
    }

}

resources/views/client/categories/index.blade.php
@extends('layouts.app')
@section('content')

    @can('create-paper', Auth::user())
        <a class="btn btn-success m-2" href="{{route('paper.index')}}">Создать новость</a>
    @endcan
    @can('create-date', Auth::user())
        <a class="btn btn-success m-2" href="{{route('comment.index')}}">Все коментарии</a>
    @endcan
    <div class="dropdown">

        <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
            Категории
        </button>

        <ul class="dropdown-menu">
            <li><a class="dropdown-item" href="{{route('category.index')}}">Все</a>
            @foreach($categories as $category)
            <li><a class="dropdown-item" href={{route('category.show', ['category' => $category])}}>{{$category->name}}</li>
            @endforeach
        </ul>
    </div>

    <div class="row">
        @foreach($newspapers as $paper)
            <a class="text-dark text-decoration-none " href="{{route('paper.show', ['paper' => $paper])}}">
                <div class="col-12 border p-2 m-2">
                    <h2>{{$paper->title}}</h2>
                    <p>{{$paper->content}}</p>
                    @if($paper->publish_date == null)
                    <p class="text-danger">(Ожидает)не публиковано дата</p>
                    @endif
                </div>
            </a>
        @endforeach
            <div class="justify-content-md-center p-5">
                <div class="col-md-auto">
                    {{ $newspapers->links() }}
                </div>
            </div>

    </div>
@endsection

resources/views/client/categories/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="dropdown">
        <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
            Категории
        </button>
        <ul class="dropdown-menu">
            <li><a class="dropdown-item" href="{{route('category.index')}}">Все</a>
            @foreach($categories as $category)
                <li><a class="dropdown-item" href={{route('category.show', ['category' => $category])}}>{{$category->name}}</li>
            @endforeach
        </ul>
    </div>

    <div class="row">
        @foreach($newspapers as $paper)
            <a class="text-dark text-decoration-none " href="{{route('paper.show', ['paper' => $paper])}}">
                <div class="col-12 border p-2 m-2">
                    <h2>{{$paper->title}}</h2>
                    <p>{{$paper->content}}</p>
                </div>
            </a>
        @endforeach

@endsection